Skip to content

Brands

Use these APIs to create, update and read 10DLC Brand Records.

Note: The API key provided in the Authorization header must have the apik_ prefix, and requires the API key to have a user with sufficient permissions assigned to it..

Name Type Description
legal_company_name String required The legal name of the entity that owns the business
dba String required Doing Business As, the operating name
country_of_registration String(format:country-code) required The country of registration of the Legal Company, valid inputs are CA or US
entity_type String required The legal structure of your organization
Valid Inputs: Private Company,Publicly Traded Company,Non-Profit Organization,Government,Sole Proprietor
business_vertical String required The legal structure of your organization
Valid Inputs: Agriculture,Communication,Construction/Material,Education,Energy,Entertainment,Finance,Gambling,Government,Healthcare,Hospitalty,HR,Insurance,Legal,Manufacturing,Non-Profit,Political,Delivery,Professional Service,Property,Retail,Technology,Transportation
ein_number String required For US organizations enter the EIN number. For Canadian organizations enter the business number (first 9 digits).
tax_number_id_ein_country String required The country that has issued the EIN Number or Corporation Number
duns_giin_lei String The type of number you are going to put in the next field, valid inputs are DUNS, GIINS or LEI
duns_giin_lei_number String The DUNS, GIINS or LEI number of your company
address String required The legal address of the organization
city String required
state_province required String(formt:state/province-code) The two letter state or province code
zip_postal_code required String The zip or postal code
country required String(format:country-code) The two letter country code
stock_exchange String Required when entity type is “Publically Traded Company”
stock_symbol String Required when entity type is “Publicly Traded Company”
first_name String Required if Entity type is Sole Proprietor
last_name String Required if Entity type is Sole Proprietor
phone String required Support phone number for the organization
email String(format:email) required Support Email Address for the organization
business_contact String(format:email) Business Contact Address for the organization
website String(format:url) Must be included if Brand has a website, if the website has a mandatory phone number collection field for customers then the following statement must be displayed “Std. Message and Data rates may apply. Text STOP to cancel. HELP for Help”
webhook String(format:url) A URL that will have POSTs sent to with any status changes to the brand.

Webhook Format:

{
"id":"123xxx456",
"legal_company_name":"Company Name",
"status":"Pending",
"rejection_reason":"reason" // if the status is Rejected
}

Request:

POST https://api.swift-api.com/api/v0/csp/brands
Content-Type: application/json
Authorization: Bearer apik_ABC123
{
"data": {
"legal_company_name": "Business Name",
"dba": "Business DBA",
"country_of_registration": "CA",
"entity_type": "Private Company",
"business_vertical": "Agriculture",
"duns_giin_lei": "DUNS",
"duns_giin_lei_number": "1xxx1",
"ein_number": "1xxx1",
"tax_number_id_ein_country": "CA",
"address": "11 King Street",
"city": "City",
"state_province": "ON",
"zip_postal_code": "a2a2a2",
"country": "CA",
"stock_exchange": "NASDAQ",
"stock_symbol": "STCK",
"first_name": "Jon",
"last_name": "Doe",
"phone": "1112223333",
"email": "[email protected]",
"business_contact": "[email protected]",
"website": "www.url.com",
"2ebhook": "www.url2.com"
}
}

Response:

HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": "234xxx345"
},
"type": "csp_campaign"
}

Request:

GET https://api.swift-api.com/api/v0/csp/brands/{id}/
Authorization: Bearer apik_ABC123

Response:

HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"status": "Pending",
"rejection_reason": "reason", // if the status is "Rejected"
"legal_company_name": "Business Name",
"dba": "Business DBA",
"country_of_registration": "CA",
"entity_type": "Private Company",
"business_vertical": "Agriculture",
"duns_giin_lei": "DUNS",
"duns_giin_lei_number": "1xxx1",
"ein_number": "1xxx1",
"tax_number_id_ein_country": "CA",
"address": "11 King Street",
"city": "City",
"state_province": "ON",
"zip_postal_code": "a2a2a2",
"country": "CA",
"stock_exchange": "NASDAQ",
"stock_symbol": "STCK",
"first_name": "Jon",
"last_name": "Doe",
"phone": "1112223333",
"email": "[email protected]",
"business_contact": "[email protected]",
"website": "www.url.com",
"webhook": "www.url2.com"
}
}

Request:

PUT https://api.swift-api.com/api/v0/csp/brands/{id}/
Content-Type: application/json
Authorization: Bearer apik_ABC123
{
"data": {
"email": "[email protected]",
"website": "www.newurl.com"
}
}

Response:

HTTP/1.1 204 No Content